Main Page Groups Namespaces

# sigc::exception_catch_functor< T_functor, T_catcher, T_return > Struct Template Reference

Inheritance diagram for sigc::exception_catch_functor< T_functor, T_catcher, T_return >:

[legend]

List of all members.

## Public Types
typedef adapts < T_functor > ::adaptor_type | adaptor_type
typedef T_return | result_type
## Public Member Functions
result_type | operator() ()
template<class T_arg1>
deduce_result_type <T_arg1>::type | operator() (T_arg1 _A_a1)
template<class T_arg1, class T_arg2>
deduce_result_type < T_arg1, T_arg2 > ::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2)
template<class T_arg1, class T_arg2, class T_arg3>
deduce_result_type < T_arg1, T_arg2, T_arg3 >::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3)
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4>
deduce_result_type < T_arg1, T_arg2, T_arg3, T_arg4 > ::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4)
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
deduce_result_type < T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 >::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5)
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
deduce_result_type < T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 > ::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5, T_arg6 _A_a6)
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>
deduce_result_type < T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5, T_arg6 _A_a6, T_arg7 _A_a7)
| exception_catch_functor (const T_functor& _A_func, const T_catcher& _A_catcher)
## Public Attributes
T_catcher | catcher_
## Classes
struct | deduce_result_type

### template <class T_functor, class T_catcher, class T_return = typename adapts<T_functor>::result_type>
struct sigc::exception_catch_functor< T_functor, T_catcher, T_return >

## Member Typedef Documentation

template <class T_functor, class T_catcher, class T_return = typename adapts<T_functor>::result_type>

typedef adapts<T_functor>::adaptor_type sigc::exception_catch_functor<T_functor, T_catcher, T_return>::adaptor_type

Reimplemented from sigc::adapts<T_functor>.

template <class T_functor, class T_catcher, class T_return = typename adapts<T_functor>::result_type>

typedef T_return sigc::exception_catch_functor<T_functor, T_catcher, T_return>::result_type

Reimplemented from sigc::adapts<T_functor>.

## Constructor & Destructor Documentation

template <class T_functor, class T_catcher, class T_return = typename adapts<T_functor>::result_type>

sigc::exception_catch_functor<T_functor, T_catcher, T_return>::exception_catch_functor | ( | const T_functor & | _A_func,
|  | const T_catcher & | _A_catcher |
| ) |  |  | `[inline]`

## Member Function Documentation

template <class T_functor, class T_catcher, class T_return>

exception_catch_functor<T_functor, T_catcher, T_return>::result_type sigc::exception_catch_functor<T_functor, T_catcher, T_return>::operator() | ( |  | ) | `[inline]`

template <class T_functor, class T_catcher, class T_return = typename adapts<T_functor>::result_type>
template <class T_arg1>

deduce_result_type<T_arg1>::type sigc::exception_catch_functor<T_functor, T_catcher, T_return>::operator() | ( | T_arg1 | _A_a1 | ) | `[inline]`

template <class T_functor, class T_catcher, class T_return = typename adapts<T_functor>::result_type>
template <class T_arg1, class T_arg2>

deduce_result_type<T_arg1,T_arg2>::type sigc::exception_catch_functor<T_functor, T_catcher, T_return>::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2 |
| ) |  |  | `[inline]`

template <class T_functor, class T_catcher, class T_return = typename adapts<T_functor>::result_type>
template <class T_arg1, class T_arg2, class T_arg3>

deduce_result_type<T_arg1,T_arg2,T_arg3>::type sigc::exception_catch_functor<T_functor, T_catcher, T_return>::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3 |
| ) |  |  | `[inline]`

template <class T_functor, class T_catcher, class T_return = typename adapts<T_functor>::result_type>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>

deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4>::type sigc::exception_catch_functor<T_functor, T_catcher, T_return>::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4 |
| ) |  |  | `[inline]`

template <class T_functor, class T_catcher, class T_return = typename adapts<T_functor>::result_type>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>

deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5>::type sigc::exception_catch_functor<T_functor, T_catcher, T_return>::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5 |
| ) |  |  | `[inline]`

template <class T_functor, class T_catcher, class T_return = typename adapts<T_functor>::result_type>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>

deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5,T_arg6>::type sigc::exception_catch_functor<T_functor, T_catcher, T_return>::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5,
|  | T_arg6 | _A_a6 |
| ) |  |  | `[inline]`

template <class T_functor, class T_catcher, class T_return = typename adapts<T_functor>::result_type>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>

deduce_result_type<T_arg1,T_arg2,T_arg3,T_arg4,T_arg5,T_arg6,T_arg7>::type sigc::exception_catch_functor<T_functor, T_catcher, T_return>::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5,
|  | T_arg6 | _A_a6,
|  | T_arg7 | _A_a7 |
| ) |  |  | `[inline]`

## Member Data Documentation

template <class T_functor, class T_catcher, class T_return = typename adapts<T_functor>::result_type>

T_catcher sigc::exception_catch_functor<T_functor, T_catcher, T_return>::catcher_

The documentation for this struct was generated from the following file:

- exception_catch.h